Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 155219 - Certain subselect queries doesn't work in the HQL Editor
Certain subselect queries doesn't work in the HQL Editor
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Hibernate
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vadiraj Deshpande
issues@javaee
65fixes2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 12:11 UTC by Jan Horvath
Modified: 2009-02-19 23:27 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log file (702.21 KB, text/plain)
2008-12-12 06:21 UTC, Vadiraj Deshpande
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Horvath 2008-12-11 12:11:51 UTC
I'm not able to run a query with subselect in the HQL Editor. Sakila db is used here:

from Actor as actor where actor.actorId in (select filmActor.actor.actorId from FilmActor as filmActor where filmActor.film.filmId=20)

However another query works fine:

from Actor as actor where (select count(f.film) from actor.filmActors as f) > 10
Comment 1 Vadiraj Deshpande 2008-12-12 06:19:14 UTC
Reproducible in latest build. May be this is due error in pre-processing of mapping files. Here's the exception :
org.hibernate.DuplicateMappingException: Duplicate collection role mapping sakila.Actor.filmActors
        at org.hibernate.cfg.Mappings.addCollection(Mappings.java:124)
        at org.hibernate.cfg.HbmBinder.createClassProperties(HbmBinder.java:2066)
        at org.hibernate.cfg.HbmBinder.createClassProperties(HbmBinder.java:2041)
        at org.hibernate.cfg.HbmBinder.bindRootPersistentClassCommonValues(HbmBinder.java:359)
        at org.hibernate.cfg.HbmBinder.bindRootClass(HbmBinder.java:273)
        at org.hibernate.cfg.HbmBinder.bindRoot(HbmBinder.java:144)
        at org.hibernate.cfg.Configuration.add(Configuration.java:669)
Comment 2 Vadiraj Deshpande 2008-12-12 06:21:17 UTC
Created attachment 74876 [details]
IDE log file
Comment 3 Vadiraj Deshpande 2008-12-12 09:47:31 UTC
Fixed:
http://hg.netbeans.org/main/rev/4b3db7cb6d4e
Comment 4 Jan Horvath 2008-12-12 12:10:40 UTC
v.
Comment 5 Vadiraj Deshpande 2008-12-13 17:24:51 UTC
Adjusting the target milestone.
Comment 6 pslechta 2008-12-16 14:19:47 UTC
The fix was ported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/2765bf2480e3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo